# Uses of Interface
org.osgi.framework.BundleListener

Packages that use BundleListener
Package
Description
org.osgi.framework
Framework Package Version 1.8.

## Uses of BundleListener in org.osgi.framework

Subinterfaces of BundleListener in org.osgi.framework
Modifier and Type
Interface
Description
`interface`
`SynchronousBundleListener`
A synchronous `BundleEvent` listener.
Methods in org.osgi.framework with parameters of type BundleListener
Modifier and Type
Method
Description
`void`
BundleContext.`addBundleListener(BundleListener listener)`
Adds the specified `BundleListener` object to the context bundle's list of listeners if not already present.
`void`
BundleContext.`removeBundleListener(BundleListener listener)`
Removes the specified `BundleListener` object from the context bundle's list of listeners.